# ImperativeTypedModel

## `ImperativeTypedModel`

An ImperativeTypedModel defines an input,middle or output modek for the transformation.

conformsTo `TypedModel`

Attributes

`GuardParameter : Bag(qvtimperative::GuardParameter)`

`NewStatement : Bag(qvtimperative::NewStatement)`

`SimpleParameter : Bag(qvtimperative::SimpleParameter)`

`isChecked : Boolean[?]`

True for an input model.

`isEnforced : Boolean[?]`

True for an output model.